Subject: Re: [Ospf-manet] evaluation plan for OSPF MANET

From: Russ White <[email-masked]>
Date: Thu, 01 Dec 2005 09:44:58 -0500

>>This presupposes emulations are "the" way to evaulate the 
>>proposals. In fact, I believe we need to do more traditional 
>>work here, such as examining pathological cases. For instance:
> 
> Russ, I don't think my message presupposed that emulations were the only
> criteria.  I strongly agree with you that the underlying algorithms need
> to be examined outside of simulation or experiments.
> 
> Other than the below, are there other OSPF benchmarking metrics that you
> believe should be considered (I know that Sue Hares has repeatedly
> suggested that we consider the work done on benchmarking)?

These two statements contradict each other (?). "We shouldn't rely on 
benchmarking (simulations), but what benchmarks do you think are important?"

We shouldn't rely on benchmarks. We should rely on analysis of the 
changes and the protocol.

:-)

Russ

- -- 
[email-masked] CCIE <>< Grace Alone

_______________________________________________
Ospf-manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-manet

---

From: "Henderson, Thomas R" <[email-masked]>
Date: Tue, 6 Dec 2005 22:54:41 -0800

Philippe, some responses inline:

> -----Original Message-----
> From: Philippe Jacquet [mailto:[email-masked]] 
> Sent: Tuesday, December 06, 2005 8:18 AM
> To: Henderson, Thomas R
> Cc: [email-masked]; Richard Ogier
> Subject: Re: [Ospf-manet] Re: evaluation plan for OSPF MANET
> 
> Dear Tom, dear Richard,
> 
> 
> In both proposals the wireless flooding is based on a primary 
> flooding mechanism and a backup mechanism to insure 
> reliability. IMO the proposal whose primary mechanism is MPR 
> should be considered as more mature since MPR has been deeply 
> investigated. The primary flooding performance and robustness 
> is certainly a key factor. Bad performance would affect 
> delays and overhead because the backup activation has a certain cost.

I cannot accept the contention that MPR-based approach to OSPF flooding
is more robust or performant than the CDS-based approach without some
justification, and the justification needs to consider how the whole
proposed approach works together.  For example, I note that we observed
that in Overlapping Relays simulations, there were a large number of
non-active floods (three times the number of active floods-- see section
4.2.1 of our report).  

Beyond simulation results, though, I'd like to understand why the
MDR/BMDR approach would be considered to be fundamentally less robust
than Active/Non-active Overlapping Relays approach.  I have not seen any
evidence that suggests that one approach would be markedly superior to
the other, as they are being used in these proposals.  Until such
evidence arises, I will stand by my contention that the primary/backup
flooding performance will end up being more or less equal between the
two proposals, and therefore the MDR/BMDR approach holds the advantage
in that it provides a backbone against which to perform topology pruning
for dense networks, rather than the ad hoc approach of Smart Peering,
which has the limitations that Richard discussed in an earlier message.

> 
> Regarding adjacencies, I mean that one should avoid 
> advertizing adjacencies that are not synchronized, inside 
> wired network portions, for example advertizing links such as 
> those contained in "min-cost LSA", or those advertised with 
> "U-bit". I am not making distinctions on specific proposals 
> here. An ideal objective might be that a wired node could 
> compute the shortest path to a mobile node based only on 
> synchronized links. Of course this can be a debatable issue.
> 
> >>-----Original Message-----
> >>From: Philippe Jacquet [mailto:[email-masked]]
> >>Sent: Monday, December 05, 2005 6:19 AM
> >>To: [email-masked]
> >>Subject: [Ospf-manet] Re: evaluation plan for OSPF MANET
> >>
> >>Dear all,
> >>
> >>I tend to agree with Tom. We should find the most robust and 
> >>performant solution. And in case of equal performance one 
> should favor 
> >>the solution that has the largest maturity and broad 
> support from the 
> >>community. With this respect MPR flooding seems to be the 
> most robust 
> >>and mature.

I don't believe that my message was arguing for those points-- I was
merely trying to reach agreement on the parameters of the debate, and to
establish a process for it.

Regards,
Tom